// src/components/WeatherIcons.tsx
import {
  WiDaySunny,
  WiNightClear,
  WiDayCloudy,
  WiNightAltCloudy,
  WiCloud,
  WiRain,
  WiSnow,
  WiStrongWind,
  WiFog,
  WiDust,
} from "react-icons/wi";

interface WeatherIconProps {
  type: string;
  className?: string;
}

const WeatherIcon = ({ type, className }: WeatherIconProps) => {
  const baseClass = "w-6 h-6 text-gray-100";

  switch (type) {
    case "CLEAR_DAY":
      return (
        <WiDaySunny className={`${baseClass} text-yellow-400 ${className}`} />
      );
    case "CLEAR_NIGHT":
      return (
        <WiNightClear className={`${baseClass} text-blue-200 ${className}`} />
      );
    case "PARTLY_CLOUDY_DAY":
      return <WiDayCloudy className={`${baseClass} ${className}`} />;
    case "PARTLY_CLOUDY_NIGHT":
      return <WiNightAltCloudy className={`${baseClass} ${className}`} />;
    case "CLOUDY":
      return <WiCloud className={`${baseClass} ${className}`} />;
    case "RAIN":
      return <WiRain className={`${baseClass} text-blue-400 ${className}`} />;
    case "SNOW":
      return <WiSnow className={`${baseClass} text-blue-100 ${className}`} />;
    case "WIND":
      return <WiStrongWind className={`${baseClass} ${className}`} />;
    case "FOG":
      return <WiFog className={`${baseClass} ${className}`} />;
    case "HAZE":
      return <WiDust className={`${baseClass} text-yellow-600 ${className}`} />;
    default:
      return <WiDaySunny className={`${baseClass} ${className}`} />;
  }
};

export default WeatherIcon;
