declare global {
  interface Window {
    electronAPI: {
      getWeather: (params: { lon: number; lat: number }) => Promise<WeatherData>;
      getNews: () => Promise<NewsItem[]>;
    };
  }
}
/*
  SunIcon,
  MoonIcon,
  CloudIcon,
  CloudSunIcon,
  CloudMoonIcon,
  UmbrellaIcon,
  SnowflakeIcon,
  WindIcon,
  FaceSmileIcon
  */
declare module '@heroicons/react/24/solid' {
  export const SunIcon: React.FC<React.SVGProps<SVGSVGElement>>;
  export const MoonIcon: React.FC<React.SVGProps<SVGSVGElement>>;
  export const CloudIcon: React.FC<React.SVGProps<SVGSVGElement>>;
  export const CloudSunIcon: React.FC<React.SVGProps<SVGSVGElement>>;
  export const CloudMoonIcon: React.FC<React.SVGProps<SVGSVGElement>>;
  export const UmbrellaIcon: React.FC<React.SVGProps<SVGSVGElement>>;
  export const SnowflakeIcon: React.FC<React.SVGProps<SVGSVGElement>>;
  export const WindIcon: React.FC<React.SVGProps<SVGSVGElement>>;
  export const FaceSmileIcon: React.FC<React.SVGProps<SVGSVGElement>>

}
//src\types\magic-mirror.d.ts
export interface WeatherData {
  error: any;
  realtime: {
    temperature: string;
    humidity: string;
    wind: {
      speed: string;
      direction: string;
    };
    airQuality: {
      aqi: number;
      description: string;
    };
    skycon: string;
    apparentTemperature: string;
  };
  forecast: {
    temperature: Array<{
      date: string;
      max: number;
      min: number;
    }>;
    skycon: Array<{
      date: string;
      value: string;
    }>;
    precipitation: Array<{
      date: string;
      probability: number;
    }>;
  };
  message: string;
}

export interface SunData {
  date: string
  sunrise: string
  sunset: string
}

export interface NewsItem {
  uniquekey: string
  title: string
  date: string
  category: string
  author_name: string
  url: string
  thumbnail_pic_s?: string
  is_content: string
}

export type CalendarDay = {
  day: number
  isCurrent: boolean
  isEmpty: boolean
}